<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.muyu</groupId>
        <artifactId>cloud-modules-enterprise</artifactId>
        <version>3.6.3</version>
    </parent>

    <artifactId>cloud-modules-enterprise-server</artifactId>
    <description>
        cloud-modules-enterprise-server 企业业务服务
    </description>
    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <dependencies>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-saas</artifactId>
            <version>3.6.3</version>
        </dependency>
        <!--         <dependency> -->
        <!--             <groupId>com.muyu</groupId> -->
        <!--             <artifactId>cloud-common-rabbit</artifactId> -->
        <!--         </dependency> -->
        <!--  SpringCloud Alibaba Nacos  -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>
        <!--   mqttv3     -->
        <dependency>
            <groupId>org.eclipse.paho</groupId>
            <artifactId>org.eclipse.paho.client.mqttv3</artifactId>
            <version>1.2.2</version>
        </dependency>
        <!--  SpringCloud Alibaba Nacos Config  -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-modules-carData</artifactId>
            <version>3.6.3</version>
        </dependency>
        <!--  SpringCloud Alibaba Sentinel  -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>
        <!--  SpringBoot Actuator  -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>
        <!--  Mysql Connector  -->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>
        <!--  MuYu Common DataSource  -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datasource</artifactId>
        </dependency>
        <!--  MuYu Common DataScope  -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datascope</artifactId>
        </dependency>
        <!--  MuYu Common Log  -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-log</artifactId>
        </dependency>
        <!--  接口模块  -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-api-doc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-modules-enterprise-common</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.github.yulichang</groupId>
            <artifactId>mybatis-plus-join-boot-starter</artifactId>
            <version>1.4.13</version>
        </dependency>
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper</artifactId>
            <version>6.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-modules-carData</artifactId>
            <version>3.6.3</version>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-modules-enterprise-cache</artifactId>
            <version>3.6.3</version>
        </dependency>
    </dependencies>
    <build>
        <finalName>cloud-electronic</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!--             &lt;!&ndash; 加入maven deploy插件，当在deploy时，忽略些model&ndash;&gt; -->
            <!--             <plugin> -->
            <!--                 <groupId>org.apache.maven.plugins</groupId> -->
            <!--                 <artifactId>maven-deploy-plugin</artifactId> -->
            <!--                 <version>3.1.1</version> -->
            <!--                 <configuration> -->
            <!--                     <skip>true</skip> -->
            <!--                 </configuration> -->
            <!--             </plugin> -->
        </plugins>
    </build>
</project>
